using System.ComponentModel.DataAnnotations;

namespace Front.Program.Models;

public class Academy
{
    public required string bid { get; set; }
    public string business_name { get; set; } = string.Empty;
    public string business_owner { get; set; } = string.Empty;
    public string businessOwnerUID { get; set; } = string.Empty;
    public string business_number { get; set; } = string.Empty;
    public DateTime business_date { get; set; }
    public string business_address { get; set; } = string.Empty;
    public string business_contact { get; set; } = string.Empty;
    public string uid { get; set; } = string.Empty;
}

public class SimpleAcademy
{
    public required string bid { get; set; }
    public string business_name { get; set; } = string.Empty;
}